BeanLayoutManagerBeanInfo (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.beanbox
Class BeanLayoutManagerBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          com.bbn.openmap.tools.beanbox.BeanLayoutManagerBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

Direct Known Subclasses:
  WallFormationLayoutBeanInfo

    public class BeanLayoutManagerBeanInfo

extends java.beans.SimpleBeanInfo

BeanInfo for a `BeanLayoutManager`.

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`BeanLayoutManagerBeanInfo()`

Method Summary
`java.awt.Image` | `getIcon(int iconKind)` returns the image associated with the bean.
`java.lang.String` | `getImage16Location()` returns the location of the 16 x 16 bit image icon.
`java.lang.String` | `getImage32Location()` returns the location of the 32 x 32 bit image icon.
`java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()` subclasses should NOT over-ride this method.
`protected void` | `localProperties(java.util.List ps)` direct and indirect subclasses of this bean info class should override this method to add their property descripters to the list generated by the super-class method.
`protected static void` | `property(java.util.List ps, java.lang.String name, java.lang.Class beanClass)` A convenience method to create and add a property descriptor to a list.
`protected static void` | `property(java.util.List ps, java.lang.String name, java.lang.Class beanClass, java.lang.Class editorClass)` A convenience method to create and add a property descriptor to a list and associate an editor class with the property.

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanLayoutManagerBeanInfo

    public BeanLayoutManagerBeanInfo()

Method Detail

### getImage16Location

    public java.lang.String getImage16Location()

  returns the location of the 16 x 16 bit image icon.

### getImage32Location

    public java.lang.String getImage32Location()

  returns the location of the 32 x 32 bit image icon.

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

  subclasses should NOT over-ride this method. Instead, they should over-ride localProperties to create their own properties.

  Specified by:
    `getPropertyDescriptors` in interface `java.beans.BeanInfo`
  Overrides:
    `getPropertyDescriptors` in class `java.beans.SimpleBeanInfo`

### localProperties

    protected void localProperties(java.util.List ps)

  direct and indirect subclasses of this bean info class should override this method to add their property descripters to the list generated by the super-class method. A localProperties method written in the subclass should include in a call to super.localProperties in order to get the list of superclass property descripters. It should then add its own property descriptors to this list. A subclass does not need to over-ride this method if it has no property descripters of its own to add to the list of super-class descriptors.

  Parameters:
    `ps` - a List containing property descripters of all super classes.

### getIcon

    public java.awt.Image getIcon(int iconKind)

  returns the image associated with the bean. This method calls getImage16Location() and getImage32Location() to locate the image file.

  Specified by:
    `getIcon` in interface `java.beans.BeanInfo`
  Overrides:
    `getIcon` in class `java.beans.SimpleBeanInfo`
  Returns:
    An image object containing a 16 x 16 bit image is returned if found otherwise a 32 x 32 bit image is returned if found. Else a null is returned.

### property

    protected static void property(java.util.List ps,
                                   java.lang.String name,
                                   java.lang.Class beanClass)

  A convenience method to create and add a property descriptor to a list. A subclass of this bean info class can use this method to add its own property descriptors to the list of super class property descriptors made available in the localProperties method.

  Parameters:
    `ps` - list of property descriptors
    `name` - the name of the property
    `beanClass` - the Bean class defining the property

### property

    protected static void property(java.util.List ps,
                                   java.lang.String name,
                                   java.lang.Class beanClass,
                                   java.lang.Class editorClass)

  A convenience method to create and add a property descriptor to a list and associate an editor class with the property. A subclass of this bean info class can use this method to add its own property descriptors to the list of super class property descriptors made available in the localProperties method.

  Parameters:
    `ps` - list of property descriptors
    `name` - the name of the property
    `beanClass` - the Bean class defining the property
    `editorClass` - a class to be registered as the editor for the specified property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details